Identity

Get the current identity

Returns the identity of the authenticated user. The identity ID (`<handle>@pid`, e.g. `ifal@pid`) is permanent — user-chosen once at onboarding, never changed, reused, or reassigned, regardless of which credentials the user links, unlinks, or how the profile is updated.

GET
/identity/me

Returns the identity of the authenticated user. The identity ID (<handle>@pid, e.g. ifal@pid) is permanent — user-chosen once at onboarding, never changed, reused, or reassigned, regardless of which credentials the user links, unlinks, or how the profile is updated.

Authorization

cookieAuth
pid_access<token>

JWT access token set by /auth/google/callback or /auth/refresh

In: cookie

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/identity/me"
{  "pid": "ifal@pid",  "status": "active",  "createdAt": "2026-08-03T13:30:00.000Z"}